#
# spec file for package gcolor2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gcolor2
Version:        0.4
Release:        bp153.1.18
Summary:        Simple color selector
License:        GPL-2.0+
Group:          Productivity/Graphics/Other
Url:            http://gcolor2.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/gcolor2/%{name}-%{version}.tar.bz2
Source1:        gcolor2-pofiles.tar.bz2
Source2:        gcolor2.desktop
# add missing headers, function declarations and translation symbols to fix warnings
Patch0:         gcolor2-0.4-warnings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ImageMagick
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  update-desktop-files
BuildRequires:  perl(XML::Parser)
%if 0%{?fedora} >= 15
BuildRequires:  sane-backends-libs
%endif
%define iconsdir %{_datadir}/icons/hicolor

%description 
Gcolor2 is a GTK2 color selector to provide a quick and easy way to find
colors for whatever task is at hand. Colors can be saved and deleted as well.

%prep
%setup -q -a1
%patch0 -p1

%build
echo "gcolor2.glade" >> po/POTFILES.in
autoreconf -fiv
intltoolize --force

%configure
#languages not detected
pushd po
sed -i s/"ALL_LINGUAS ="/"ALL_LINGUAS = `ls *.po | cut -d. -f1 | xargs`"/"" Makefile
popd

%{__make}

%install
%makeinstall

# Menu
%{__mkdir_p} %{buildroot}%{_datadir}/applications
install -m 644 %{S:2} %{buildroot}%{_datadir}/applications/%{name}.desktop

#icons
for size in 16 32 48; do
	SIZE="${size}x${size}"
	%{__mkdir_p} %{buildroot}%{iconsdir}/$SIZE/apps
	convert -strip -scale $SIZE pixmaps/icon.png %{buildroot}%{iconsdir}/$SIZE/apps/%{name}.png
done

%find_lang %{name}

%if %{suse_version} >= 1230
%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/gcolor2
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{iconsdir}/*/apps/%{name}.png

%changelog
* Tue Mar  8 2016 bwiedemann@suse.com
- drop build time from png file to fix build-compare
* Wed Aug 13 2014 jmatejek@suse.com
- change category to Graphics
- remove absolute path from desktop file
- clean up spec
- remove empty NEWS and README, add COPYING as %%doc
- rename gcolor2-0.4.patch to gcolor2-0.4-warnings.patch, add description
  to spec file
* Sat Aug 25 2012 jmatejek@suse.com
- packaged for openSUSE 12 and up
- cleaned-up and fixed specfile
- original changelog follows
* Sun Mar 27 2011 Agnelo de la Crotche <agnelo@unixversal.com>
- package for openSUSE 11.3/11.4
* Fri Sep 11 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.4-18mdv2010.0
  + Revision: 437658
- rebuild
* Thu Mar 26 2009 Emmanuel Andry <eandry@mandriva.org> 0.4-17mdv2009.1
  + Revision: 361427
- provide .po files in a compressed archive
  Davy Defaud <davy.defaud@free.fr>
  - add missing Polish po file and Bulgarian menu entries
  - really fix non gettextized strings with P2
  - drop P0 and provide French as a po file like others
  - automate the list of available languages to build
* Sun Mar 22 2009 Emmanuel Andry <eandry@mandriva.org> 0.4-16mdv2009.1
  + Revision: 360345
- add more translations
* Wed Mar 18 2009 Emmanuel Andry <eandry@mandriva.org> 0.4-15mdv2009.1
  + Revision: 357364
- add more translations
- fix non gettextized strings with P2
* Sat Mar 14 2009 Emmanuel Andry <eandry@mandriva.org> 0.4-14mdv2009.1
  + Revision: 354978
- add more translations
* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.4-13mdv2009.1
  + Revision: 354359
- added another bunch of translations
* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.4-12mdv2009.1
  + Revision: 354299
- add turkish translation?\195
* Wed Mar 11 2009 Emmanuel Andry <eandry@mandriva.org> 0.4-11mdv2009.1
  + Revision: 353772
- add spanish translation
* Wed Mar 11 2009 Emmanuel Andry <eandry@mandriva.org> 0.4-10mdv2009.1
  + Revision: 353571
- update french language patch
- make it visible for kde users
* Tue Mar 10 2009 Emmanuel Andry <eandry@mandriva.org> 0.4-9mdv2009.1
  + Revision: 353498
- fix again desktop file
* Tue Mar 10 2009 Emmanuel Andry <eandry@mandriva.org> 0.4-8mdv2009.1
  + Revision: 353485
- fix license
- fix desktop categories
- improve desktop file (Davy Defaud)
- uncompress patch
- localization never applied : use intltoolize and autoreconf
- workaround undetected language file by intltoolize
* Sun Mar  8 2009 Emmanuel Andry <eandry@mandriva.org> 0.4-6mdv2009.1
  + Revision: 352937
- add gentoo patch to fix crash on x86_64 (#47608)
  + Oden Eriksson <oeriksson@mandriva.com>
  - lowercase ImageMagick
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-5mdv2009.0
  + Revision: 245710
- rebuild
  + Pixel <pixel@mandriva.com>
  - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
* Mon Mar 10 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.4-3mdv2008.1
  + Revision: 183224
- Fix Desktop file
* Sun Feb 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.4-2mdv2008.1
  + Revision: 174139
- Fix desktop file (Bug #38093)
  + Olivier Blin <oblin@mandriva.com>
  - restore BuildRoot
  + Thierry Vignaud <tvignaud@mandriva.com>
  - fix auto conversion
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4-1mdv2008.1
  + Revision: 131549
- auto-convert XDG menu entry
- BR perl(XML::Parser)
- kill re-definition of %%%%buildroot on Pixel's request
- import gcolor2
* Sat Apr 15 2006 Austin Acton <austin@mandriva.org> 0.4-1mdk
- work with spec from Davy Defaud <davy.defaud@free.fr>
